import React from 'react';
declare const animations: {
    elegantSlide: {
        initial: {
            opacity: number;
            x: number;
            filter: string;
        };
        animate: {
            opacity: number;
            x: number;
            filter: string;
            transition: {
                duration: number;
                ease: number[];
            };
        };
        exit: {
            opacity: number;
            x: number;
            filter: string;
            transition: {
                duration: number;
                ease: number[];
            };
        };
    };
    smoothFade: {
        initial: {
            opacity: number;
            y: number;
            scale: number;
        };
        animate: {
            opacity: number;
            y: number;
            scale: number;
            transition: {
                duration: number;
                ease: string;
            };
        };
        exit: {
            opacity: number;
            y: number;
            scale: number;
            transition: {
                duration: number;
                ease: string;
            };
        };
    };
    materialScale: {
        initial: {
            opacity: number;
            scale: number;
            y: number;
        };
        animate: {
            opacity: number;
            scale: number;
            y: number;
            transition: {
                duration: number;
                ease: number[];
            };
        };
        exit: {
            opacity: number;
            scale: number;
            y: number;
            transition: {
                duration: number;
                ease: number[];
            };
        };
    };
    cardFlip: {
        initial: {
            opacity: number;
            rotateX: number;
            y: number;
        };
        animate: {
            opacity: number;
            rotateX: number;
            y: number;
            transition: {
                duration: number;
                ease: number[];
            };
        };
        exit: {
            opacity: number;
            rotateX: number;
            y: number;
            transition: {
                duration: number;
                ease: number[];
            };
        };
    };
    elastic: {
        initial: {
            opacity: number;
            scale: number;
            y: number;
        };
        animate: {
            opacity: number;
            scale: number;
            y: number;
            transition: {
                duration: number;
                type: string;
                stiffness: number;
                damping: number;
            };
        };
        exit: {
            opacity: number;
            scale: number;
            y: number;
            transition: {
                duration: number;
                ease: string;
            };
        };
    };
    swoosh: {
        initial: {
            opacity: number;
            x: number;
            rotate: number;
            scale: number;
        };
        animate: {
            opacity: number;
            x: number;
            rotate: number;
            scale: number;
            transition: {
                duration: number;
                type: string;
                stiffness: number;
                damping: number;
            };
        };
        exit: {
            opacity: number;
            x: number;
            rotate: number;
            scale: number;
            transition: {
                duration: number;
                ease: number[];
            };
        };
    };
};
interface ScreenFlowProps {
    children: React.ReactNode;
    animation?: keyof typeof animations;
    className?: string;
    mode?: "wait" | "sync" | "popLayout";
}
declare const ScreenFlow: React.FC<ScreenFlowProps>;
export default ScreenFlow;
